package proxy.command;

import proxy.Proxy;
import proxy.network.ProxyHandler;
import proxy.util.Formatter;
import proxy.util.Log;

public abstract class Command {
	public abstract String getName();
	public abstract String getHelp();
	public String getArgs() {
		return null;
	}
	public abstract void run(Proxy proxy, ProxyHandler player, String[] args);
	public Iterable<String> complete(Proxy proxy, ProxyHandler player, String[] args) {
		return null;
	}
	
	protected static void sendMessage(ProxyHandler player, String msg) {
		if(player != null)
			player.sendMessage(Formatter.DARK_PURPLE + msg);
		else
			Log.info(msg);
	}
	
	protected static void sendMessage(ProxyHandler player, String fmt, Object ... args) {
		sendMessage(player, String.format(fmt, args));
	}
}
